VTK: vtkLabelPlacementMapper Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkLabelPlacementMapper Class Reference

Places and renders non-overlapping labels. More...

`#include <vtkLabelPlacementMapper.h>`

Inheritance diagram for vtkLabelPlacementMapper:
[legend]
Collaboration diagram for vtkLabelPlacementMapper:
[legend]

## Public Types
enum | LabelShape { NONE , RECT , ROUNDED_RECT , NUMBER_OF_LABEL_SHAPES }
enum | LabelStyle { FILLED , OUTLINE , NUMBER_OF_LABEL_STYLES }
typedef vtkMapper2D | Superclass
Public Types inherited from vtkMapper2D
typedef vtkAbstractMapper | Superclass
Public Types inherited from vtkAbstractMapper
typedef vtkAlgorithm | Superclass
Public Types inherited from vtkAlgorithm
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkLabelPlacementMapper * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor) override
| Draw non-overlapping labels to the screen. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Release any graphics resources that are being consumed by this mapper. More...
virtual void | SetRenderStrategy (vtkLabelRenderStrategy *s)
| Set the label rendering strategy. More...
virtual vtkLabelRenderStrategy * | GetRenderStrategy ()
| Set the label rendering strategy. More...
virtual void | SetMaximumLabelFraction (double)
| The maximum fraction of the screen that the labels may cover. More...
virtual double | GetMaximumLabelFraction ()
| The maximum fraction of the screen that the labels may cover. More...
virtual void | SetIteratorType (int)
| The type of iterator used when traversing the labels. More...
virtual int | GetIteratorType ()
| The type of iterator used when traversing the labels. More...
virtual bool | GetPositionsAsNormals ()
| Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera. More...
virtual void | SetPositionsAsNormals (bool)
| Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera. More...
virtual void | PositionsAsNormalsOn ()
| Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera. More...
virtual void | PositionsAsNormalsOff ()
| Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera. More...
virtual bool | GetGeneratePerturbedLabelSpokes ()
| Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates. More...
virtual void | SetGeneratePerturbedLabelSpokes (bool)
| Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates. More...
virtual void | GeneratePerturbedLabelSpokesOn ()
| Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates. More...
virtual void | GeneratePerturbedLabelSpokesOff ()
| Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates. More...
virtual bool | GetUseDepthBuffer ()
| Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene. More...
virtual void | SetUseDepthBuffer (bool)
| Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene. More...
virtual void | UseDepthBufferOn ()
| Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene. More...
virtual void | UseDepthBufferOff ()
| Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene. More...
virtual void | SetPlaceAllLabels (bool)
| Tells the placer to place every label regardless of overlap. More...
virtual bool | GetPlaceAllLabels ()
| Tells the placer to place every label regardless of overlap. More...
virtual void | PlaceAllLabelsOn ()
| Tells the placer to place every label regardless of overlap. More...
virtual void | PlaceAllLabelsOff ()
| Tells the placer to place every label regardless of overlap. More...
virtual void | SetOutputTraversedBounds (bool)
| Whether to render traversed bounds. More...
virtual bool | GetOutputTraversedBounds ()
| Whether to render traversed bounds. More...
virtual void | OutputTraversedBoundsOn ()
| Whether to render traversed bounds. More...
virtual void | OutputTraversedBoundsOff ()
| Whether to render traversed bounds. More...
virtual void | SetShape (int)
| The shape of the label background, should be one of the values in the LabelShape enumeration. More...
virtual int | GetShape ()
| The shape of the label background, should be one of the values in the LabelShape enumeration. More...
virtual void | SetShapeToNone ()
| The shape of the label background, should be one of the values in the LabelShape enumeration. More...
virtual void | SetShapeToRect ()
| The shape of the label background, should be one of the values in the LabelShape enumeration. More...
virtual void | SetShapeToRoundedRect ()
| The shape of the label background, should be one of the values in the LabelShape enumeration. More...
virtual void | SetStyle (int)
| The style of the label background shape, should be one of the values in the LabelStyle enumeration. More...
virtual int | GetStyle ()
| The style of the label background shape, should be one of the values in the LabelStyle enumeration. More...
virtual void | SetStyleToFilled ()
| The style of the label background shape, should be one of the values in the LabelStyle enumeration. More...
virtual void | SetStyleToOutline ()
| The style of the label background shape, should be one of the values in the LabelStyle enumeration. More...
virtual void | SetMargin (double)
| The size of the margin on the label background shape. More...
virtual double | GetMargin ()
| The size of the margin on the label background shape. More...
virtual void | SetBackgroundColor (double, double, double)
| The color of the background shape. More...
virtual void | SetBackgroundColor (double[3])
| The color of the background shape. More...
virtual double * | GetBackgroundColor ()
| The color of the background shape. More...
virtual void | GetBackgroundColor (double &, double &, double &)
| The color of the background shape. More...
virtual void | GetBackgroundColor (double[3])
| The color of the background shape. More...
virtual void | SetBackgroundOpacity (double)
| The opacity of the background shape. More...
virtual double | GetBackgroundOpacity ()
| The opacity of the background shape. More...
virtual vtkCoordinate * | GetAnchorTransform ()
| Get the transform for the anchor points. More...
Public Member Functions inherited from vtkMapper2D
vtkMapper2D * | NewInstance () const
virtual void | RenderOpaqueGeometry (vtkViewport *, vtkActor2D *)
virtual void | RenderTranslucentPolygonalGeometry (vtkViewport *, vtkActor2D *)
virtual vtkTypeBool | HasTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkAbstractMapper
vtkAbstractMapper * | NewInstance () const
vtkMTimeType | GetMTime () override
| Override Modifiedtime as we have added Clipping planes. More...
void | SetClippingPlanes (vtkPlanes *planes)
| An alternative way to set clipping planes: use up to six planes found in the supplied instance of the implicit function vtkPlanes. More...
virtual void | ShallowCopy (vtkAbstractMapper *m)
| Make a shallow copy of this mapper. More...
int | GetNumberOfClippingPlanes ()
| Get the number of clipping planes. More...
virtual double | GetTimeToDraw ()
| Get the time required to draw the geometry last time it was rendered. More...
void | AddClippingPlane (vtkPlane *plane)
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
void | RemoveClippingPlane (vtkPlane *plane)
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
void | RemoveAllClippingPlanes ()
| Specify clipping planes to be applied when the data is mapped (at most 6 clipping planes can be specified). More...
virtual void | SetClippingPlanes (vtkPlaneCollection *)
| Get/Set the vtkPlaneCollection which specifies the clipping planes. More...
virtual vtkPlaneCollection * | GetClippingPlanes ()
| Get/Set the vtkPlaneCollection which specifies the clipping planes. More...
Public Member Functions inherited from vtkAlgorithm
vtkAlgorithm * | NewInstance () const
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
virtual vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inInfo, vtkInformationVector *outInfo)
| Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkLabelPlacementMapper * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLabelPlacementMapper * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkMapper2D
static vtkTypeBool | IsTypeOf (const char *type)
static vtkMapper2D * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkAbstractMapper
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAbstractMapper * | SafeDownCast (vtkObjectBase *o)
static vtkDataArray * | GetScalars (vtkDataSet *input, int scalarMode, int arrayAccessMode, int arrayId, const char *arrayName, int &cellFlag)
| Internal helper function for getting the active scalars. More...
static vtkAbstractArray * | GetAbstractScalars (vtkDataSet *input, int scalarMode, int arrayAccessMode, int arrayId, const char *arrayName, int &cellFlag)
| Internal helper function for getting the active scalars as an abstract array. More...
static vtkUnsignedCharArray * | GetGhostArray (vtkDataSet *input, int scalarMode, unsigned char &ghostsToSkip)
| Returns the ghost array associated with the corresponding scalar mode, if present. More...
Static Public Member Functions inherited from vtkAlgorithm
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkLabelPlacementMapper ()
| ~vtkLabelPlacementMapper () override
virtual void | SetAnchorTransform (vtkCoordinate *)
int | FillInputPortInformation (int port, vtkInformation *info) override
| Fill the input port information objects for this algorithm. More...
Protected Member Functions inherited from vtkMapper2D
| vtkMapper2D ()=default
| ~vtkMapper2D () override=default
Protected Member Functions inherited from vtkAbstractMapper
| vtkAbstractMapper ()
| ~vtkAbstractMapper () override
Protected Member Functions inherited from vtkAlgorithm
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual int | FillOutputPortInformation (int port, vtkInformation *info)
| Fill the output port information objects for this algorithm. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
Internal * | Buckets
vtkLabelRenderStrategy * | RenderStrategy
vtkCoordinate * | AnchorTransform
vtkSelectVisiblePoints * | VisiblePoints
double | MaximumLabelFraction
bool | PositionsAsNormals
bool | GeneratePerturbedLabelSpokes
bool | UseDepthBuffer
bool | PlaceAllLabels
bool | OutputTraversedBounds
int | LastRendererSize [2]
double | LastCameraPosition [3]
double | LastCameraFocalPoint [3]
double | LastCameraViewUp [3]
double | LastCameraParallelScale
int | IteratorType
int | Style
int | Shape
double | Margin
double | BackgroundOpacity
double | BackgroundColor [3]
Protected Attributes inherited from vtkAbstractMapper
vtkTimerLog * | Timer
double | TimeToDraw
vtkWindow * | LastWindow
vtkPlaneCollection * | ClippingPlanes
Protected Attributes inherited from vtkAlgorithm
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkAlgorithm
std::atomic< vtkTypeBool > | AbortExecute
Static Protected Member Functions inherited from vtkAlgorithm
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkAlgorithm
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype

## Detailed Description

Places and renders non-overlapping labels.

To use this mapper, first send your data through vtkPointSetToLabelHierarchy, which takes a set of points, associates special arrays to the points (label, priority, etc.), and produces a prioritized spatial tree of labels.

This mapper then takes that hierarchy (or hierarchies) as input, and every frame will decide which labels and/or icons to place in order of priority, and will render only those labels/icons. A label render strategy is used to render the labels, and can use e.g. FreeType or Qt for rendering.

Online Examples:

Tests:
  vtkLabelPlacementMapper (Tests)

Definition at line 42 of file vtkLabelPlacementMapper.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkMapper2D vtkLabelPlacementMapper::Superclass

Definition at line 46 of file vtkLabelPlacementMapper.h.

## Member Enumeration Documentation

## ◆ LabelShape

enum vtkLabelPlacementMapper::LabelShape

Enumerator
NONE |
RECT |
ROUNDED_RECT |
NUMBER_OF_LABEL_SHAPES |

Definition at line 130 of file vtkLabelPlacementMapper.h.

## ◆ LabelStyle

enum vtkLabelPlacementMapper::LabelStyle

Enumerator
FILLED |
OUTLINE |
NUMBER_OF_LABEL_STYLES |

Definition at line 150 of file vtkLabelPlacementMapper.h.

## Constructor & Destructor Documentation

## ◆ vtkLabelPlacementMapper()

vtkLabelPlacementMapper::vtkLabelPlacementMapper | ( |  | ) |
| protected

## ◆ ~vtkLabelPlacementMapper()

vtkLabelPlacementMapper::~vtkLabelPlacementMapper | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkLabelPlacementMapper* vtkLabelPlacementMapper::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkLabelPlacementMapper::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkLabelPlacementMapper::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkMapper2D.

## ◆ SafeDownCast()

static vtkLabelPlacementMapper* vtkLabelPlacementMapper::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLabelPlacementMapper::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkMapper2D.

## ◆ NewInstance()

vtkLabelPlacementMapper* vtkLabelPlacementMapper::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkLabelPlacementMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkMapper2D.

## ◆ RenderOverlay()

void vtkLabelPlacementMapper::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) |  |
| overridevirtual

Draw non-overlapping labels to the screen.

Reimplemented from vtkMapper2D.

## ◆ SetRenderStrategy()

virtual void vtkLabelPlacementMapper::SetRenderStrategy | ( | vtkLabelRenderStrategy * | s | ) |
| virtual

Set the label rendering strategy.

## ◆ GetRenderStrategy()

virtual vtkLabelRenderStrategy* vtkLabelPlacementMapper::GetRenderStrategy | ( |  | ) |
| virtual

Set the label rendering strategy.

## ◆ SetMaximumLabelFraction()

virtual void vtkLabelPlacementMapper::SetMaximumLabelFraction | ( | double |  | ) |
| virtual

The maximum fraction of the screen that the labels may cover.

Label placement stops when this fraction is reached.

## ◆ GetMaximumLabelFraction()

virtual double vtkLabelPlacementMapper::GetMaximumLabelFraction | ( |  | ) |
| virtual

The maximum fraction of the screen that the labels may cover.

Label placement stops when this fraction is reached.

## ◆ SetIteratorType()

virtual void vtkLabelPlacementMapper::SetIteratorType | ( | int |  | ) |
| virtual

The type of iterator used when traversing the labels.

May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT

## ◆ GetIteratorType()

virtual int vtkLabelPlacementMapper::GetIteratorType | ( |  | ) |
| virtual

The type of iterator used when traversing the labels.

May be vtkLabelHierarchy::FRUSTUM or vtkLabelHierarchy::FULL_SORT

## ◆ GetPositionsAsNormals()

virtual bool vtkLabelPlacementMapper::GetPositionsAsNormals | ( |  | ) |
| virtual

Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera.

Valid only when points are on a sphere centered at the origin (such as a 3D geographic view). Off by default.

## ◆ SetPositionsAsNormals()

virtual void vtkLabelPlacementMapper::SetPositionsAsNormals | ( | bool |  | ) |
| virtual

Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera.

Valid only when points are on a sphere centered at the origin (such as a 3D geographic view). Off by default.

## ◆ PositionsAsNormalsOn()

virtual void vtkLabelPlacementMapper::PositionsAsNormalsOn | ( |  | ) |
| virtual

Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera.

Valid only when points are on a sphere centered at the origin (such as a 3D geographic view). Off by default.

## ◆ PositionsAsNormalsOff()

virtual void vtkLabelPlacementMapper::PositionsAsNormalsOff | ( |  | ) |
| virtual

Use label anchor point coordinates as normal vectors and eliminate those pointing away from the camera.

Valid only when points are on a sphere centered at the origin (such as a 3D geographic view). Off by default.

## ◆ GetGeneratePerturbedLabelSpokes()

virtual bool vtkLabelPlacementMapper::GetGeneratePerturbedLabelSpokes | ( |  | ) |
| virtual

Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates.

## ◆ SetGeneratePerturbedLabelSpokes()

virtual void vtkLabelPlacementMapper::SetGeneratePerturbedLabelSpokes | ( | bool |  | ) |
| virtual

Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates.

## ◆ GeneratePerturbedLabelSpokesOn()

virtual void vtkLabelPlacementMapper::GeneratePerturbedLabelSpokesOn | ( |  | ) |
| virtual

Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates.

## ◆ GeneratePerturbedLabelSpokesOff()

virtual void vtkLabelPlacementMapper::GeneratePerturbedLabelSpokesOff | ( |  | ) |
| virtual

Enable drawing spokes (lines) to anchor point coordinates that were perturbed for being coincident with other anchor point coordinates.

## ◆ GetUseDepthBuffer()

virtual bool vtkLabelPlacementMapper::GetUseDepthBuffer | ( |  | ) |
| virtual

Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene.

Off by default.

## ◆ SetUseDepthBuffer()

virtual void vtkLabelPlacementMapper::SetUseDepthBuffer | ( | bool |  | ) |
| virtual

Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene.

Off by default.

## ◆ UseDepthBufferOn()

virtual void vtkLabelPlacementMapper::UseDepthBufferOn | ( |  | ) |
| virtual

Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene.

Off by default.

## ◆ UseDepthBufferOff()

virtual void vtkLabelPlacementMapper::UseDepthBufferOff | ( |  | ) |
| virtual

Use the depth buffer to test each label to see if it should not be displayed if it would be occluded by other objects in the scene.

Off by default.

## ◆ SetPlaceAllLabels()

virtual void vtkLabelPlacementMapper::SetPlaceAllLabels | ( | bool |  | ) |
| virtual

Tells the placer to place every label regardless of overlap.

Off by default.

## ◆ GetPlaceAllLabels()

virtual bool vtkLabelPlacementMapper::GetPlaceAllLabels | ( |  | ) |
| virtual

Tells the placer to place every label regardless of overlap.

Off by default.

## ◆ PlaceAllLabelsOn()

virtual void vtkLabelPlacementMapper::PlaceAllLabelsOn | ( |  | ) |
| virtual

Tells the placer to place every label regardless of overlap.

Off by default.

## ◆ PlaceAllLabelsOff()

virtual void vtkLabelPlacementMapper::PlaceAllLabelsOff | ( |  | ) |
| virtual

Tells the placer to place every label regardless of overlap.

Off by default.

## ◆ SetOutputTraversedBounds()

virtual void vtkLabelPlacementMapper::SetOutputTraversedBounds | ( | bool |  | ) |
| virtual

Whether to render traversed bounds.

Off by default.

## ◆ GetOutputTraversedBounds()

virtual bool vtkLabelPlacementMapper::GetOutputTraversedBounds | ( |  | ) |
| virtual

Whether to render traversed bounds.

Off by default.

## ◆ OutputTraversedBoundsOn()

virtual void vtkLabelPlacementMapper::OutputTraversedBoundsOn | ( |  | ) |
| virtual

Whether to render traversed bounds.

Off by default.

## ◆ OutputTraversedBoundsOff()

virtual void vtkLabelPlacementMapper::OutputTraversedBoundsOff | ( |  | ) |
| virtual

Whether to render traversed bounds.

Off by default.

## ◆ SetShape()

virtual void vtkLabelPlacementMapper::SetShape | ( | int |  | ) |
| virtual

The shape of the label background, should be one of the values in the LabelShape enumeration.

## ◆ GetShape()

virtual int vtkLabelPlacementMapper::GetShape | ( |  | ) |
| virtual

The shape of the label background, should be one of the values in the LabelShape enumeration.

## ◆ SetShapeToNone()

virtual void vtkLabelPlacementMapper::SetShapeToNone | ( |  | ) |
| inlinevirtual

The shape of the label background, should be one of the values in the LabelShape enumeration.

Definition at line 145 of file vtkLabelPlacementMapper.h.

## ◆ SetShapeToRect()

virtual void vtkLabelPlacementMapper::SetShapeToRect | ( |  | ) |
| inlinevirtual

The shape of the label background, should be one of the values in the LabelShape enumeration.

Definition at line 146 of file vtkLabelPlacementMapper.h.

## ◆ SetShapeToRoundedRect()

virtual void vtkLabelPlacementMapper::SetShapeToRoundedRect | ( |  | ) |
| inlinevirtual

The shape of the label background, should be one of the values in the LabelShape enumeration.

Definition at line 147 of file vtkLabelPlacementMapper.h.

## ◆ SetStyle()

virtual void vtkLabelPlacementMapper::SetStyle | ( | int |  | ) |
| virtual

The style of the label background shape, should be one of the values in the LabelStyle enumeration.

## ◆ GetStyle()

virtual int vtkLabelPlacementMapper::GetStyle | ( |  | ) |
| virtual

The style of the label background shape, should be one of the values in the LabelStyle enumeration.

## ◆ SetStyleToFilled()

virtual void vtkLabelPlacementMapper::SetStyleToFilled | ( |  | ) |
| inlinevirtual

The style of the label background shape, should be one of the values in the LabelStyle enumeration.

Definition at line 164 of file vtkLabelPlacementMapper.h.

## ◆ SetStyleToOutline()

virtual void vtkLabelPlacementMapper::SetStyleToOutline | ( |  | ) |
| inlinevirtual

The style of the label background shape, should be one of the values in the LabelStyle enumeration.

Definition at line 165 of file vtkLabelPlacementMapper.h.

## ◆ SetMargin()

virtual void vtkLabelPlacementMapper::SetMargin | ( | double |  | ) |
| virtual

The size of the margin on the label background shape.

Default is 5.

## ◆ GetMargin()

virtual double vtkLabelPlacementMapper::GetMargin | ( |  | ) |
| virtual

The size of the margin on the label background shape.

Default is 5.

## ◆ SetBackgroundColor() [1/2]

virtual void vtkLabelPlacementMapper::SetBackgroundColor | ( | double | ,
|  | double | ,
|  | double |
| ) |  |
| virtual

The color of the background shape.

## ◆ SetBackgroundColor() [2/2]

virtual void vtkLabelPlacementMapper::SetBackgroundColor | ( | double | [3] | ) |
| virtual

The color of the background shape.

## ◆ GetBackgroundColor() [1/3]

virtual double* vtkLabelPlacementMapper::GetBackgroundColor | ( |  | ) |
| virtual

The color of the background shape.

## ◆ GetBackgroundColor() [2/3]

virtual void vtkLabelPlacementMapper::GetBackgroundColor | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

The color of the background shape.

## ◆ GetBackgroundColor() [3/3]

virtual void vtkLabelPlacementMapper::GetBackgroundColor | ( | double | [3] | ) |
| virtual

The color of the background shape.

## ◆ SetBackgroundOpacity()

virtual void vtkLabelPlacementMapper::SetBackgroundOpacity | ( | double |  | ) |
| virtual

The opacity of the background shape.

## ◆ GetBackgroundOpacity()

virtual double vtkLabelPlacementMapper::GetBackgroundOpacity | ( |  | ) |
| virtual

The opacity of the background shape.

## ◆ GetAnchorTransform()

virtual vtkCoordinate* vtkLabelPlacementMapper::GetAnchorTransform | ( |  | ) |
| virtual

Get the transform for the anchor points.

## ◆ ReleaseGraphicsResources()

void vtkLabelPlacementMapper::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Release any graphics resources that are being consumed by this mapper.

The parameter window could be used to determine which graphic resources to release.

Reimplemented from vtkAbstractMapper.

## ◆ SetAnchorTransform()

virtual void vtkLabelPlacementMapper::SetAnchorTransform | ( | vtkCoordinate * |  | ) |
| protectedvirtual

## ◆ FillInputPortInformation()

int vtkLabelPlacementMapper::FillInputPortInformation | ( | int | port,
|  | vtkInformation * | info
| ) |  |
| overrideprotectedvirtual

Fill the input port information objects for this algorithm.

This is invoked by the first call to GetInputPortInformation for each port so subclasses can specify what they can handle.

Reimplemented from vtkAlgorithm.

## Member Data Documentation

## ◆ Buckets

Internal* vtkLabelPlacementMapper::Buckets
| protected

Definition at line 216 of file vtkLabelPlacementMapper.h.

## ◆ RenderStrategy

vtkLabelRenderStrategy* vtkLabelPlacementMapper::RenderStrategy
| protected

Definition at line 218 of file vtkLabelPlacementMapper.h.

## ◆ AnchorTransform

vtkCoordinate* vtkLabelPlacementMapper::AnchorTransform
| protected

Definition at line 219 of file vtkLabelPlacementMapper.h.

## ◆ VisiblePoints

vtkSelectVisiblePoints* vtkLabelPlacementMapper::VisiblePoints
| protected

Definition at line 220 of file vtkLabelPlacementMapper.h.

## ◆ MaximumLabelFraction

double vtkLabelPlacementMapper::MaximumLabelFraction
| protected

Definition at line 221 of file vtkLabelPlacementMapper.h.

## ◆ PositionsAsNormals

bool vtkLabelPlacementMapper::PositionsAsNormals
| protected

Definition at line 222 of file vtkLabelPlacementMapper.h.

## ◆ GeneratePerturbedLabelSpokes

bool vtkLabelPlacementMapper::GeneratePerturbedLabelSpokes
| protected

Definition at line 223 of file vtkLabelPlacementMapper.h.

## ◆ UseDepthBuffer

bool vtkLabelPlacementMapper::UseDepthBuffer
| protected

Definition at line 224 of file vtkLabelPlacementMapper.h.

## ◆ PlaceAllLabels

bool vtkLabelPlacementMapper::PlaceAllLabels
| protected

Definition at line 225 of file vtkLabelPlacementMapper.h.

## ◆ OutputTraversedBounds

bool vtkLabelPlacementMapper::OutputTraversedBounds
| protected

Definition at line 226 of file vtkLabelPlacementMapper.h.

## ◆ LastRendererSize

int vtkLabelPlacementMapper::LastRendererSize[2]
| protected

Definition at line 228 of file vtkLabelPlacementMapper.h.

## ◆ LastCameraPosition

double vtkLabelPlacementMapper::LastCameraPosition[3]
| protected

Definition at line 229 of file vtkLabelPlacementMapper.h.

## ◆ LastCameraFocalPoint

double vtkLabelPlacementMapper::LastCameraFocalPoint[3]
| protected

Definition at line 230 of file vtkLabelPlacementMapper.h.

## ◆ LastCameraViewUp

double vtkLabelPlacementMapper::LastCameraViewUp[3]
| protected

Definition at line 231 of file vtkLabelPlacementMapper.h.

## ◆ LastCameraParallelScale

double vtkLabelPlacementMapper::LastCameraParallelScale
| protected

Definition at line 232 of file vtkLabelPlacementMapper.h.

## ◆ IteratorType

int vtkLabelPlacementMapper::IteratorType
| protected

Definition at line 233 of file vtkLabelPlacementMapper.h.

## ◆ Style

int vtkLabelPlacementMapper::Style
| protected

Definition at line 235 of file vtkLabelPlacementMapper.h.

## ◆ Shape

int vtkLabelPlacementMapper::Shape
| protected

Definition at line 236 of file vtkLabelPlacementMapper.h.

## ◆ Margin

double vtkLabelPlacementMapper::Margin
| protected

Definition at line 237 of file vtkLabelPlacementMapper.h.

## ◆ BackgroundOpacity

double vtkLabelPlacementMapper::BackgroundOpacity
| protected

Definition at line 238 of file vtkLabelPlacementMapper.h.

## ◆ BackgroundColor

double vtkLabelPlacementMapper::BackgroundColor[3]
| protected

Definition at line 239 of file vtkLabelPlacementMapper.h.

The documentation for this class was generated from the following file:

- Rendering/Label/vtkLabelPlacementMapper.h